Subject: Named pipes problem
From: "Chris" <[email-masked]>
To: [email-masked]
Date: Thu, 10 Oct 2002 01:29:50 +0200

Hi there,
I have recently installed Cygwin (version 1.3.12-2) on Windows 2k (SP2) and
have been trying to evaluate by developing some small programs. One of these
uses named pipes. However none of the named pipes functions seem to work -
all return -1.

Example:

 retcode = unlink ("aPipe");
 retcode = mknod ("aPipe", S_IFIFO, 0);
 retcode = chmod ("aPipe", 0660);
 fd = open ("aPipe", O_RDONLY);

return code for all functions is -1.

I have two programs, one is a writer to the named pipe and the other a
reader and even if I try to ignore the error codes the named pipe
communication doesn't work.

Has anyone seen this problem? Have I setup the environmet incorrectly (file
system is FAT32)? Or is this a known bug?

Any information on this problem would be a help.

Regards,
Chris Mulligan.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/